#include <stdio.h>
#include <math.h>

#define MAXN 100

#define max(a, b)   ( a > b ? a : b )

int MaxSubseq(int a[], int na, int b[], int nb)
{
    int i, j;
    static int nMaxSubseq[MAXN + 1][MAXN + 1];

    for ( i = 0; i < MAXN; i++ )
        nMaxSubseq[i][0] = nMaxSubseq[0][i] = 0;

    for ( i = 1; i <= na; i++ ) 
        for ( j = 1; j <= nb; j++ ) {
            nMaxSubseq[i][j] = max(nMaxSubseq[i][j - 1], nMaxSubseq[i - 1][j]);
            if ( a[i - 1] == b[j - 1] ) 
                nMaxSubseq[i][j] = max(nMaxSubseq[i][j], nMaxSubseq[i - 1][j - 1] + 1);
        }

    return nMaxSubseq[na][nb];
}

int main()
{
    int na, nb, i;
    int a[MAXN], b[MAXN];

    int nc = 0;
    while ( true ) {
        scanf(" %d %d", &na, &nb);
        if ( na == 0 && nb == 0 ) break;

        for ( i = 0; i < na; i++ ) scanf(" %d", &a[i]);
        for ( i = 0; i < nb; i++ ) scanf(" %d", &b[i]);
        printf("Twin Towers #%d\n", ++nc);
        printf("Number of Tiles : %d\n\n", MaxSubseq(a, na, b, nb));
    }

    return 0;
}
